<template>
  <page-layout>
    <!-- Page Content Start -->
    <lazy-hydrate when-idle>
      <servicios-cover-section id="servicios-cover-section" v-bind="cover" />
    </lazy-hydrate>

    <lazy-hydrate when-visible>
      <servicios-project-scope-section
        id="servicios-project-scope-section"
        v-bind="content.projectScope"
      />
    </lazy-hydrate>

    <lazy-hydrate ssr-only>
      <servicios-trust-us-section
        id="servicios-trust-us-section"
        v-bind="content.trustUs"
      />
    </lazy-hydrate>
    <!-- Page Content End -->
  </page-layout>
</template>

<script>
import PageSections from '~/components/servicios';
import metaInfoMixin from '~/mixins/metaInfo.js';

export default {
  name: 'Servicios',
  components: PageSections,
  mixins: [metaInfoMixin],
  computed: {
    cover() {
      return this.$page.content.cover;
    },
    content() {
      const { projectScope, trustUs } = this.$page.content;

      return {
        projectScope,
        trustUs,
      };
    },
  },
};
</script>

<page-query>
  query ServiciosPageContent {
    content: serviciosPageContent(path: "/servicios/") {
      meta {
        title
        description
      }
      cover {
        heading
        coverImage {
          image
          description
        }
        content {
          subtitle
          visualLinkItems {
            label
            routeId
          }
          text
        }
      }
      projectScope {
        heading
        text
        featureItems {
          icon
          label
        }
      }
      trustUs {
        heading
        numberedItems {
          title
          text
        }
      }
    }
  }
</page-query>
